curl "https://api.krownlabs.app/api/auctions?status=active&sortBy=endTime&sortOrder=asc"
{
"auctions": [
{
"_id": "68b172cf77b20a6d48d2991a",
"id": "0xacfba11c8bc6e372f0b0da5a1a4f9043924c1df23a9009cb8cf47bddec48dd70-0xffa3f378d966bdd07eb66a82383964bb8ac4aaad-4",
"auctionId": 4,
"seller": "0x3b592c1d44327a5d05ba415262f7e6179f14e77a",
"collectionAddress": "0xffa3f378d966bdd07eb66a82383964bb8ac4aaad",
"tokenId": 478,
"startingPrice": "10000000000000000000",
"isActive": false,
"startTime": 1756459727,
"endTime": 1756718926,
"nftType": "ERC721",
"amount": 1,
"bids": [
{
"bidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"amount": "10000000000000000000",
"timestamp": 1756464735,
"txHash": "0x9a8306677a3e41fe2451c04e187689324487a543b99a8f81f4d5e5988809db8c",
"_id": "68b1865f77b20a6d48dcdef2"
}
],
"createdAt": "2025-08-29T09:28:47.531Z",
"updatedAt": "2025-09-01T09:46:30.755Z",
"__v": 1,
"highestBid": "10000000000000000000",
"highestBidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"finalizedAt": 1756719990
}
],
"totalPages": 9,
"currentPage": 8,
"total": 9
}
Auctions
List Auctions
Get all active and completed auctions
GET
/
api
/
auctions
curl "https://api.krownlabs.app/api/auctions?status=active&sortBy=endTime&sortOrder=asc"
{
"auctions": [
{
"_id": "68b172cf77b20a6d48d2991a",
"id": "0xacfba11c8bc6e372f0b0da5a1a4f9043924c1df23a9009cb8cf47bddec48dd70-0xffa3f378d966bdd07eb66a82383964bb8ac4aaad-4",
"auctionId": 4,
"seller": "0x3b592c1d44327a5d05ba415262f7e6179f14e77a",
"collectionAddress": "0xffa3f378d966bdd07eb66a82383964bb8ac4aaad",
"tokenId": 478,
"startingPrice": "10000000000000000000",
"isActive": false,
"startTime": 1756459727,
"endTime": 1756718926,
"nftType": "ERC721",
"amount": 1,
"bids": [
{
"bidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"amount": "10000000000000000000",
"timestamp": 1756464735,
"txHash": "0x9a8306677a3e41fe2451c04e187689324487a543b99a8f81f4d5e5988809db8c",
"_id": "68b1865f77b20a6d48dcdef2"
}
],
"createdAt": "2025-08-29T09:28:47.531Z",
"updatedAt": "2025-09-01T09:46:30.755Z",
"__v": 1,
"highestBid": "10000000000000000000",
"highestBidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"finalizedAt": 1756719990
}
],
"totalPages": 9,
"currentPage": 8,
"total": 9
}
Documentation Index
Fetch the complete documentation index at: https://docs.krownlabs.app/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
Page number
Results per page (max 100)
Filter by statusOptions:
active, completed, cancelledSort fieldOptions:
createdAt, endTime, currentBidSort order (
asc or desc)Response
Array of auction objects
Show Auction Object
Show Auction Object
Unique auction identifier
Auction ID number
Seller wallet address
NFT collection address
Token ID
Starting bid price in wei
Whether auction is currently active
Auction start Unix timestamp
Auction end Unix timestamp
NFT standard (ERC721 or ERC1155)
Amount of tokens
Current highest bid in wei
Address of highest bidder
Auction creation timestamp
Last update timestamp
Finalization Unix timestamp (if completed)
Pagination metadata
curl "https://api.krownlabs.app/api/auctions?status=active&sortBy=endTime&sortOrder=asc"
{
"auctions": [
{
"_id": "68b172cf77b20a6d48d2991a",
"id": "0xacfba11c8bc6e372f0b0da5a1a4f9043924c1df23a9009cb8cf47bddec48dd70-0xffa3f378d966bdd07eb66a82383964bb8ac4aaad-4",
"auctionId": 4,
"seller": "0x3b592c1d44327a5d05ba415262f7e6179f14e77a",
"collectionAddress": "0xffa3f378d966bdd07eb66a82383964bb8ac4aaad",
"tokenId": 478,
"startingPrice": "10000000000000000000",
"isActive": false,
"startTime": 1756459727,
"endTime": 1756718926,
"nftType": "ERC721",
"amount": 1,
"bids": [
{
"bidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"amount": "10000000000000000000",
"timestamp": 1756464735,
"txHash": "0x9a8306677a3e41fe2451c04e187689324487a543b99a8f81f4d5e5988809db8c",
"_id": "68b1865f77b20a6d48dcdef2"
}
],
"createdAt": "2025-08-29T09:28:47.531Z",
"updatedAt": "2025-09-01T09:46:30.755Z",
"__v": 1,
"highestBid": "10000000000000000000",
"highestBidder": "0x26939931d05cc9f61f69ea0758710ebc3653e160",
"finalizedAt": 1756719990
}
],
"totalPages": 9,
"currentPage": 8,
"total": 9
}
⌘I